[PATCH 1/2] devtools: don't include headline "fix" in backports

christian.ehrhardt at canonical.com christian.ehrhardt at canonical.com
Fri Dec 3 08:51:22 CET 2021


From: Christian Ehrhardt <christian.ehrhardt at canonical.com>

It was important in the past to select anything with "fix" in the
headline, but recently more often created false positives and work
to sort tihngs out than identifying many helpful patches.

The community and processes aroudn DPDK matured enough that developers
(rightfully) expect to rely on "Fixes:" and "stable@" marking for
backprots.

Therefore do no more include patches that just include the word fix
in the backport candidate list.

Signed-off-by: Christian Ehrhardt <christian.ehrhardt at canonical.com>
---
 devtools/git-log-fixes.sh | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

diff --git a/devtools/git-log-fixes.sh b/devtools/git-log-fixes.sh
index 210c8dcf25..27ec9088d4 100755
--- a/devtools/git-log-fixes.sh
+++ b/devtools/git-log-fixes.sh
@@ -13,7 +13,7 @@ print_help ()
 	cat <<- END_OF_HELP
 
 	Find fixes to backport on previous versions.
-	It looks for the word "fix" in the headline or a tag "Fixes" or "Reverts".
+	It looks for a tag "Fixes" or "Reverts" and for recipient stable at dpdk.org.
 	The oldest bug origin is printed as well as partially fixed versions.
 	END_OF_HELP
 }
@@ -109,8 +109,7 @@ while read id headline ; do
 	origins=$(origin_filter $id)
 	stable=$(stable_tag $id)
 	fixes=$(fixes_tag $id)
-	[ "$stable" = "S" ] || [ "$fixes" = "F" ] || [ -n "$origins" ] || \
-		echo "$headline" | grep -q fix || continue
+	[ "$stable" = "S" ] || [ "$fixes" = "F" ] || [ -n "$origins" ] || continue
 	version=$(commit_version $id)
 	if [ -n "$origins" ] ; then
 		origver="$(origin_version $origins)"
-- 
2.34.0



More information about the stable mailing list